# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input exchange = {default NYSE, NASDAQ, AMEX};
input length = 252;

def CumulAD = reference AdvanceDeclineCumulativeAvg(exchange, length).CumulAD;
def AvgCumulAD = reference AdvanceDeclineCumulativeAvg(exchange, length).AvgCumulAD;

AddOrder(OrderType.BUY_AUTO, CumulAD > AvgCumulAD, name = "AdvanceDeclineCumulativeLE", tickColor = GetColor(0), arrowColor = GetColor(0));
AddOrder(OrderType.SELL_TO_CLOSE, CumulAD < AvgCumulAD, name = "AdvanceDeclineCumulativeLX", tickColor = GetColor(1), arrowColor = GetColor(1));
