# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input price = close;
input length = 50;

AddOrder(OrderType.BUY_AUTO, GetMonth() == 10 and price > Average(price, length), tickColor = GetColor(1), arrowColor = GetColor(1), name = "HalloweenLE");
AddOrder(OrderType.SELL_TO_CLOSE, GetMonth() == 5, tickColor = GetColor(2), arrowColor = GetColor(2), name = "HalloweenLX");
