# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input offsetType = {default percent, value, tick};
input target = 0.75;

def entryPrice = entryPrice();
def mult;
switch (offsetType) {
case percent:
    mult = entryPrice / 100;
case value:
    mult = 1;
case tick:
    mult = tickSize();
}
def targetPrice = entryPrice + target * mult;

addOrder(OrderType.SELL_TO_CLOSE, high >= targetPrice, tickColor = GetColor(6), arrowColor = GetColor(6));
