# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input offsetType = {default percent, value, tick};
input stop = 0.75;

def entryPrice = entryPrice();
def mult;
switch (offsetType) {
case percent:
    mult = entryPrice / 100;
case value:
    mult = 1;
case tick:
    mult = tickSize();
}
def stopPrice = entryPrice + stop * mult;

addOrder(OrderType.BUY_TO_CLOSE, high >= stopPrice, tickColor = GetColor(5), arrowColor = GetColor(5));
