# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;

input length = 14;
input averageType = AverageType.WILDERS;

def bottom = Min(close[1], low);
def tr = TrueRange(high, close, low);
def ptr = tr / (bottom + tr / 2) * 100;

plot APTR = MovingAverage(averageType, ptr, length);
APTR.SetDefaultColor(GetColor(8));
