# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#

declare lower;

def AO = AwesomeOscillator();

plot AC = AO - Average(AO, 5);
plot ZeroLine = 0;

AC.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
AC.SetLineWeight(3);
AC.DefineColor("Up", Color.UPTICK);
AC.DefineColor("Down", Color.DOWNTICK);
AC.AssignValueColor(if AC > AC[1] then AC.color("Up") else if AC < AC[1] then AC.color("Down") else GetColor(1));
ZeroLine.SetDefaultColor(GetColor(5));
