# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input ROClength = 10;
input length = 10;

assert(ROCLength > 0, "'roc length' must be positive: " + ROCLength);

def diff = high - low;
def avg = Average(diff, length);

plot CV = if avg[roclength] == 0 then 100 else (avg - avg[roclength]) / avg[roclength] * 100;
CV.SetDefaultColor(GetColor(1));
plot ZeroLine = 0;
ZeroLine.SetDefaultColor(GetColor(5));
