# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#
declare lower;

input length = 20;

plot R = (WMA(close, length) - Average(close, length)) * (length + 1) /
(StDev(close, length) * Sqrt((Sqr(length) - 1) / 3));
plot ZeroLine = 0;

R.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(7));
