# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input mode = {default cycle, trend};

plot Price = if mode == mode.cycle then Sin(2 * Double.Pi * BarNumber() / 30) else close;
plot MADiff = Average(Price, 05) - Average(Price, 30);
plot Osc05 = Price - Average(Price, 05);
plot Osc06 = Price - Average(Price, 06);
plot Osc07 = Price - Average(Price, 07);
plot Osc08 = Price - Average(Price, 08);
plot Osc09 = Price - Average(Price, 09);
plot Osc10 = Price - Average(Price, 10);
plot Osc11 = Price - Average(Price, 11);
plot Osc12 = Price - Average(Price, 12);
plot Osc13 = Price - Average(Price, 13);
plot Osc14 = Price - Average(Price, 14);
plot Osc15 = Price - Average(Price, 15);
plot Osc16 = Price - Average(Price, 16);
plot Osc17 = Price - Average(Price, 17);
plot Osc18 = Price - Average(Price, 18);
plot Osc19 = Price - Average(Price, 19);
plot Osc20 = Price - Average(Price, 20);
plot Osc21 = Price - Average(Price, 21);
plot Osc22 = Price - Average(Price, 22);
plot Osc23 = Price - Average(Price, 23);
plot Osc24 = Price - Average(Price, 24);
plot Osc25 = Price - Average(Price, 25);
plot Osc26 = Price - Average(Price, 26);
plot Osc27 = Price - Average(Price, 27);
plot Osc28 = Price - Average(Price, 28);
plot Osc29 = Price - Average(Price, 29);
plot Osc30 = Price - Average(Price, 30);
plot ZeroLine = 0;

Price.SetDefaultColor(GetColor(1));
Price.SetHiding(mode != mode.cycle);
MADiff.SetDefaultColor(GetColor(6));
MADiff.SetHiding(mode != mode.cycle);
Osc05.SetDefaultColor(CreateColor(255, 306 - 10.2 * 05, 0));
Osc06.SetDefaultColor(CreateColor(255, 306 - 10.2 * 06, 0));
Osc07.SetDefaultColor(CreateColor(255, 306 - 10.2 * 07, 0));
Osc08.SetDefaultColor(CreateColor(255, 306 - 10.2 * 08, 0));
Osc09.SetDefaultColor(CreateColor(255, 306 - 10.2 * 09, 0));
Osc10.SetDefaultColor(CreateColor(255, 306 - 10.2 * 10, 0));
Osc11.SetDefaultColor(CreateColor(255, 306 - 10.2 * 11, 0));
Osc12.SetDefaultColor(CreateColor(255, 306 - 10.2 * 12, 0));
Osc13.SetDefaultColor(CreateColor(255, 306 - 10.2 * 13, 0));
Osc14.SetDefaultColor(CreateColor(255, 306 - 10.2 * 14, 0));
Osc15.SetDefaultColor(CreateColor(255, 306 - 10.2 * 15, 0));
Osc16.SetDefaultColor(CreateColor(255, 306 - 10.2 * 16, 0));
Osc17.SetDefaultColor(CreateColor(255, 306 - 10.2 * 17, 0));
Osc18.SetDefaultColor(CreateColor(255, 306 - 10.2 * 18, 0));
Osc19.SetDefaultColor(CreateColor(255, 306 - 10.2 * 19, 0));
Osc20.SetDefaultColor(CreateColor(255, 306 - 10.2 * 20, 0));
Osc21.SetDefaultColor(CreateColor(255, 306 - 10.2 * 21, 0));
Osc22.SetDefaultColor(CreateColor(255, 306 - 10.2 * 22, 0));
Osc23.SetDefaultColor(CreateColor(255, 306 - 10.2 * 23, 0));
Osc24.SetDefaultColor(CreateColor(255, 306 - 10.2 * 24, 0));
Osc25.SetDefaultColor(CreateColor(255, 306 - 10.2 * 25, 0));
Osc26.SetDefaultColor(CreateColor(255, 306 - 10.2 * 26, 0));
Osc27.SetDefaultColor(CreateColor(255, 306 - 10.2 * 27, 0));
Osc28.SetDefaultColor(CreateColor(255, 306 - 10.2 * 28, 0));
Osc29.SetDefaultColor(CreateColor(255, 306 - 10.2 * 29, 0));
Osc30.SetDefaultColor(CreateColor(255, 306 - 10.2 * 30, 0));
ZeroLine.SetDefaultColor(GetColor(7));
