# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input price = close;
input length = 10;

def emaPrice = ExpAverage(price, length);
def emaEmaPrice = ExpAverage(emaPrice, length);

plot DEMA = 2 * emaPrice - emaEmaPrice;
DEMA.SetDefaultColor(GetColor(1));
