# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input colorNormLength = 14;
input length = 14;
input price = close;

plot DPO = price - Average(price[length / 2 + 1], length);
plot ZeroLine = 0;

DPO.DefineColor("Highest", Color.YELLOW);
DPO.DefineColor("Lowest", Color.LIGHT_RED);
DPO.AssignNormGradientColor(colorNormLength, DPO.color("Lowest"), DPO.color("Highest"));
ZeroLine.SetDefaultColor(GetColor(5));
