# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsLongBlack = IsLongBlack(length);

plot Bearish = IsDescending(close, trendSetup)[2] and
    IsLongBlack[2] and
    IsLongBlack[1] and
    low[2] > high[1] and
    open < open[1] and
    open > close[1] and
    close > close[2] and
    close < open[2];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
