# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

declare lower;

input length = 24;
input level = 0.36;

def noise = Sum(AbsValue(close - close[1]), length);

plot ER = if noise != 0 then AbsValue(close - close[length]) / noise else 0;
plot TrendLevel = level;

ER.SetDefaultColor(GetColor(8));
TrendLevel.SetDefaultColor(GetColor(7));
