# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

input price = close;
input length = 9;
input pedestal = 10;

def pedestalRad = pedestal * Double.Pi / 180;

plot Hamming = (fold i = 0 to length with filter do filter + Sin(pedestalRad + (Double.Pi - 2 * pedestalRad) * i / (length - 1)) * GetValue(price, i, length - 1)) / (fold j = 0 to length  with sumCoeff do sumCoeff + Sin(pedestalRad + (Double.Pi - 2 * pedestalRad) * j / (length - 1)));

Hamming.SetDefaultColor(GetColor(5));
