# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

input price = close;
input length = 9;

plot Hann = (fold i = 1 to length + 1 with filter do filter + (1 - Cos(2 * Double.Pi * i / (length + 1 ))) * GetValue(price, i - 1, length - 1)) / (fold j = 1 to length + 1 with sumCoeff do sumCoeff + (1 - Cos(2 * Double.Pi * j / (length + 1 ))));

Hann.SetDefaultColor(GetColor(5));
