# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

input price = close;
input length = 9;

plot TriangleWeighting = (fold i = 1 to length + 1 with filter do filter + ((if i < length / 2 then i else if i == length / 2 then length / 2 else if i > length / 2 then length + 1 - i else Double.NaN) * GetValue(price, i - 1, length - 1))) / (fold j = 1 to length + 1 with sumCoeff do sumCoeff + (if j < length / 2 then j else if j == length / 2 then length / 2 else if j > length / 2 then length + 1 - j else Double.NaN));

TriangleWeighting.SetDefaultColor(GetColor(5));
