# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 5;
input signalMA = 3;

def forecast = reference TimeSeriesForecast(price = close, length = length, "bar plus" = 1);

plot FOSC = 100 * (close - forecast[1]) / close;
plot Signal = Average(FOSC, signalMA);
plot ZeroLine = 0;

FOSC.SetDefaultColor(GetColor(1));
Signal.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(5));
