# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

declare lower;

input MALength = 13;

def KVOsc = KlingerOscillator(MALength).KVOsc;
plot KVOH = KVOsc - Average(KVOsc, MALength);
plot ZeroLine = 0;

KVOH.DefineColor("Positive", Color.UPTICK);
KVOH.DefineColor("Negative", Color.DOWNTICK);
KVOH.AssignValueColor(if KVOH >= 0 then KVOH.color("Positive") else KVOH.color("Negative"));
KVOH.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
KVOH.SetLineWeight(3);
ZeroLine.SetDefaultColor(GetColor(5));
