# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input price = close;
input length = 49;

def lConvolutionSlope = reference LeavittConvolutionSlope(price = price, length = length);

plot LeavittConvolutionAcceleration = lConvolutionSlope - lConvolutionSlope[1];
plot ZeroLine = 0;

LeavittConvolutionAcceleration.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
LeavittConvolutionAcceleration.DefineColor("Up", Color.UPTICK);
LeavittConvolutionAcceleration.DefineColor("Down", Color.DOWNTICK);
LeavittConvolutionAcceleration.AssignValueColor(if LeavittConvolutionAcceleration >= LeavittConvolutionAcceleration[1] then LeavittConvolutionAcceleration.Color("Up") else LeavittConvolutionAcceleration.Color("Down"));
ZeroLine.SetDefaultColor(GetColor(7));
