# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#

input price = close;
input length = 9;
input displace = 0;

assert(length > 0, "'length' must be positive: " + length);

def EMA = compoundValue(1, EMA[1] + 2 / (length + 1) * (price[-displace] - EMA[1]), price[-displace]);

plot LegacyEMA = EMA;
LegacyEMA.SetDefaultColor(GetColor(1));
