# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2008-2023
#

input price = close;

plot MiddleLR = InertiaAll(price);
def dist = HighestAll(AbsValue(MiddleLR - price)) * 0.5;
plot UpperLR = MiddleLR + dist;
plot LowerLR = MiddleLR - dist;

MiddleLR.setDefaultColor(GetColor(1));
UpperLR.setDefaultColor(GetColor(1));
LowerLR.setDefaultColor(GetColor(1));
