# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input fastLength = 8;
input dominantCycle = 27;

def slowLength = Floor(fastLength + dominantCycle / 2);
def hann1 = reference FIR_Hann(length = fastLength);
def hann2 = reference FIR_Hann(length = slowLength);

plot MADH = if hann2 != 0 then 100 * (hann1 - hann2) / hann2 else 0;
plot ZeroLine = 0;

MADH.SetDefaultColor(GetColor(4));
ZeroLine.SetDefaultColor(GetColor(7));
