declare no_caching;
declare once_per_bar;

def yyyyMmDd = SystemGetYyyyMmDd();
def month = getYear() * 12 + getMonth();
def dom = SystemGetDayOfMonth();
def expThisMonth = SystemGetExpThisMonth();
def exp_opt = month + (dom > expThisMonth);
def condition = exp_opt != exp_opt[1] and getYear()[1] != 1970;

def display;
def alreadyDisplayed;
if (condition) {
    display = yyyyMmDd[1] - dom[1] + expThisMonth[1];
    alreadyDisplayed = Max(alreadyDisplayed[1], display);
} else {
    display = 0;
    alreadyDisplayed = alreadyDisplayed[1];
}

AddVerticalLine(display > alreadyDisplayed[1],
    SystemPrintYyyyMmDd(max(19700101, display)),
    GetColor(5), Curve.LONG_DASH);

# we need a plot to keep serialization happy - this plot's color is later used via an 'ifdef'
plot compatibility = Double.NaN;
compatibility.SetDefaultColor(GetColor(5));
compatibility.HideTitle();
