# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length

input length = 20;

def ErrMargin = 0.05 * Average(BodyHeight(), length);

plot Bearish = IsLongBlack(length) and
    high - open <= ErrMargin and
    close - low <= ErrMargin;

plot Bullish = IsLongWhite(length) and
    open - low <= ErrMargin and
    high - close <= ErrMargin;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(8));
Bullish.SetLineWeight(2);
