# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

declare lower;

input setup = 27;
input smLength = 9;
input sumLength = 25;
input trigger = 26.5;

def ema = ExpAverage(high - low, smLength);

plot MassX = sum(ema / ExpAverage (ema, smLength), sumLength);
plot SetupLevel = setup;
plot TriggerLevel = trigger;

MassX.SetDefaultColor(GetColor(1));
SetupLevel.SetDefaultColor(GetColor(8));
TriggerLevel.SetDefaultColor(GetColor(5));
