# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);

plot Bullish = IsDescending(close, trendSetup)[1] and
    IsLongBlack(length)[1] and
    open > close and
    AbsValue(close[1] - close) <= ErrMargin;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(0));
Bullish.SetLineWeight(2);
