# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;

input length = 20;

def division = (high - low[1]) + (high[1] - low);
def multiplier;
if high < low[1] {
    multiplier = -1;
} else if low > high[1] {
    multiplier = 1;
} else if division == 0 {
    multiplier = 0;
} else {
    multiplier = ((high - low[1]) - (high[1] - low)) / division;
}

plot MoneyFlowOsc = Sum(multiplier * volume, length) / Sum(volume, length);
plot ZeroLine = 0;

MoneyFlowOsc.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
