# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

input price = close;
input baseLength = 10;
input incrementOrMultiplier = 10;
input arithOrGeom1or2 = 1;

plot XMA1;
plot XMA2;
plot XMA3;
plot XMA4;
plot XMA5;
plot XMA6;
plot XMA7;
plot XMA8;

if (arithOrGeom1or2 == 1)
then {
    XMA1 = ExpAverage(price, baseLength);
    XMA2 = ExpAverage(price, baseLength + 1 * incrementOrMultiplier);
    XMA3 = ExpAverage(price, baseLength + 2 * incrementOrMultiplier);
    XMA4 = ExpAverage(price, baseLength + 3 * incrementOrMultiplier);
    XMA5 = ExpAverage(price, baseLength + 4 * incrementOrMultiplier);
    XMA6 = ExpAverage(price, baseLength + 5 * incrementOrMultiplier);
    XMA7 = ExpAverage(price, baseLength + 6 * incrementOrMultiplier);
    XMA8 = ExpAverage(price, baseLength + 7 * incrementOrMultiplier);
} else {
    XMA1 = ExpAverage(price, baseLength);
    XMA2 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 1));
    XMA3 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 2));
    XMA4 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 3));
    XMA5 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 4));
    XMA6 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 5));
    XMA7 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 6));
    XMA8 = ExpAverage(price, baseLength * Power(incrementOrMultiplier, 7));
}

XMA1.SetDefaultColor(CreateColor(255, 65, 0));
XMA2.SetDefaultColor(CreateColor(255, 90, 0));
XMA3.SetDefaultColor(CreateColor(255, 115, 0));
XMA4.SetDefaultColor(CreateColor(255, 140, 0));
XMA5.SetDefaultColor(CreateColor(255, 165, 0));
XMA6.SetDefaultColor(CreateColor(255, 190, 0));
XMA7.SetDefaultColor(CreateColor(255, 215, 0));
XMA8.SetDefaultColor(CreateColor(255, 240, 0));
