# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

plot PositionNetLiq = GetQuantity() * close;
plot ZeroLine = 0;

PositionNetLiq.SetDefaultColor(GetColor(1));
PositionNetLiq.SetPaintingStrategy(PaintingStrategy.SQUARED_HISTOGRAM);
PositionNetLiq.SetLineWeight(3);
PositionNetLiq.DefineColor("Positive", Color.UPTICK);
PositionNetLiq.DefineColor("Negative", Color.DOWNTICK);
PositionNetLiq.AssignValueColor(if PositionNetLiq >= 0
	then PositionNetLiq.Color("Positive")
	else PositionNetLiq.Color("Negative"));
ZeroLine.SetDefaultColor(GetColor(7));
ZeroLine.Hide();
