# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

declare lower;

input price = close;
input length = 14;

def CP = ExpAverage(Sign(price - price[1]) * price, length);
def TC = ExpAverage(price, length);

plot PZO = 100 * CP / TC;
plot "+60" = 60;
plot "+40" = 40;
plot "+15" = 15;
plot "-5" = -5;
plot "-40" = -40;
plot "-60" = -60;
plot ZeroLine = 0;

PZO.SetDefaultColor(GetColor(1));
"+60".SetDefaultColor(GetColor(6));
"+40".SetDefaultColor(GetColor(6));
"+15".SetDefaultColor(GetColor(3));
"-5".SetDefaultColor(GetColor(3));
"-40".SetDefaultColor(GetColor(5));
"-60".SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(4));
