# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input length = 14;

plot MaxBound = HighestWeighted(high, length, LinearRegressionSlope(price=high, length=length));
plot MinBound = LowestWeighted(low, length, LinearRegressionSlope(price=low, length=length));

MaxBound.setDefaultColor(getColor(0));
MinBound.setDefaultColor(getColor(0));
