# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

declare lower;

input price = close;
input length = 14;

def NetChgAvg = reference FIR_Hann(price = price - price[1], length = length);
def TotChgAvg = reference FIR_Hann(price = AbsValue(price - price[1]), length = length);

plot RSIH = if TotChgAvg != 0 then NetChgAvg / TotChgAvg else 0;
plot ZeroLine = 0;

RSIH.SetDefaultColor(GetColor(4));
ZeroLine.SetDefaultColor(GetColor(7));
