# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

input lpLength = 12;

def angle = 2 * Double.Pi / lpLength;
def alpha1 = 1 + Tan(angle) - 1 / Cos(angle);

plot RecursiveMedianFilter = EMA2(Median(close, 5),  "smoothing factor" = alpha1);
RecursiveMedianFilter.SetDefaultColor(GetColor(1));
