# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input lpLength = 12;
input hpLength = 30;

def rm = reference RecursiveMedianFilter(lpLength = lpLength);

plot RMO = reference EhlersHighpassFilter(price = rm, "roof cutoff length" = hpLength);
plot ZeroLevel = 0;

RMO.SetDefaultColor(GetColor(2));
ZeroLevel.SetDefaultColor(GetColor(7));
