# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input price = FundamentalType.CLOSE;
input relationWithSecurity = "SPX";

def price1 = fundamental(price);
def price2 = fundamental(price, relationWithSecurity);

plot Relation = if price2 == 0 then Double.NaN else price1 / price2;
Relation.SetDefaultColor(GetColor(1));
