# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input diLength1 = 5;
input diLength2 = 8;
input diLength3 = 14;
input averageType = AverageType.WILDERS;

plot DIMinus1 = DMI(diLength1, averageType)."DI-";
plot DIMinus2 = DMI(diLength2, averageType)."DI-";
plot DIMinus3 = DMI(diLength3, averageType)."DI-";
plot Level50 = 50;
plot Level10 = 10;
plot Level5 = 5;

DIMinus1.SetDefaultColor(GetColor(1));
DIMinus2.SetDefaultColor(GetColor(6));
DIMinus3.SetDefaultColor(GetColor(4));
Level50.SetDefaultColor(GetColor(3));
Level10.SetDefaultColor(GetColor(3));
Level5.SetDefaultColor(GetColor(3));
Level5.SetStyle(Curve.LONG_DASH);
