# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsLongWhite = IsLongWhite(length);
def IsOpenWithinBody = open > open[1] and
    open < close[1];
def IsCloseHigher = close > close[1];

plot Bullish = IsDescending(open, trendSetup)[2] and
    IsLongWhite[2] and
    IsLongWhite[1] and
    IsLongWhite and
    IsCloseHigher[1] and
    IsCloseHigher and
    IsOpenWithinBody[1] and
    IsOpenWithinBody;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(8));
Bullish.SetLineWeight(2);
