# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsDoji = IsDoji(length);
def ThreeDoji = IsDoji[2] and
    IsDoji[1] and
    IsDoji;

plot Bearish = IsAscending(low, trendSetup)[2] and
    ThreeDoji and
    low[1] > high[2] and
    high < low[1];

plot Bullish = IsDescending(high, trendSetup)[2] and
    ThreeDoji and
    high[1] < low[2] and
    low > high[1];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(3));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(4));
Bullish.SetLineWeight(2);
