# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: trendSetup:
#wizard input: trendSetup

input trendSetup = 3;

def IsWhite = open < close;

plot Bullish = IsAscending(close, trendSetup)[2] and
    IsWhite[2] and
    IsWhite[1] and
    low[1] > high[2] and
    open < close[1] and
    open > open[1] and
    close < open[1] and
    close > close[2];

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(1));
Bullish.SetLineWeight(2);
