# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

input trailType = {default modified, unmodified};
input ATRPeriod = 5;
input ATRFactor = 3.5;
input firstTrade = {default long, short};
input averageType = AverageType.WILDERS;

def condition = ATRTrailingStop(trailType, ATRPeriod, ATRFactor, firstTrade, averageType).buySignal;

addOrder(OrderType.BUY_AUTO, condition, tickColor = GetColor(0), arrowColor = GetColor(0));
