# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input temaLength = 55;
input emaLength = 60;
input candleSizeFactor = 1.1;

def HACOLT = HACOLT(temaLength, emaLength, candleSizeFactor);

AddOrder(OrderType.BUY_AUTO, HACOLT == 100 and HACOLT[1] < 100, tickColor = GetColor(1), arrowColor = GetColor(1), name = "HACOLT_LE");
AddOrder(OrderType.SELL_AUTO, HACOLT == 0 and HACOLT[1] > 0, tickColor = GetColor(2), arrowColor = GetColor(2), name = "HACOLT_SE");
AddOrder(OrderType.SELL_TO_CLOSE, HACOLT < 100 and HACOLT[1] == 100, tickColor = GetColor(3), arrowColor = GetColor(3), name = "HACOLT_LX");
