# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input price = close;
input length = 30;
input slowingLength = 5;
input over_bought = 60;
input over_sold = 30;

def IFTStoch = IFT_StochOsc(price, length, slowingLength, over_bought, over_sold).IFT;
addOrder(OrderType.BUY_TO_OPEN, IFTStoch crosses above 30, tickColor = GetColor(0), arrowColor = GetColor(0), name = "IFT_StochLE");
addOrder(OrderType.SELL_TO_CLOSE, IFTStoch crosses below 60, tickColor = GetColor(1), arrowColor = GetColor(1), name = "IFT_StochLX");
addOrder(OrderType.SELL_TO_OPEN, IFTStoch crosses below 60 and close < Average(close, 165), tickColor = GetColor(1), arrowColor = GetColor(1), name = "IFT_StochSE");
addOrder(OrderType.BUY_TO_CLOSE, IFTStoch crosses above 30, tickColor = GetColor(0), arrowColor = GetColor(0), name = "IFT_StochSX");
