# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 50;
input highLowLength = 15;
input averageType = AverageType.SIMPLE;

def MHL_MA = MiddleHighLowMA(length = length, highLowLength = highLowLength, averageType = averageType).MHL_MA;
def MA = MiddleHighLowMA(length = length, highLowLength = highLowLength, averageType = averageType).MA;

AddOrder(OrderType.BUY_AUTO, MA crosses above MHL_MA, tickColor = GetColor(6), arrowColor = GetColor(6), name = "MHL_MA_LE");
AddOrder(OrderType.SELL_AUTO, MA crosses below MHL_MA, tickColor = GetColor(5), arrowColor = GetColor(5), name = "MHL_MA_SE");
