# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

#wizard text: Inputs: length:
#wizard input: length
#wizard text: min price:
#wizard input: minPrice
#wizard text: max price:
#wizard input: maxPrice
#wizard text: min range:
#wizard input: minRange

input length = 15;
input minPrice = 20.0;
input maxPrice = 70.0;
input minRange = 5.0;

def highestHigh = Highest(high, length);
def lowestLow = Lowest(low, length);

plot ADXBreakoutsScreen = lowestLow >= minPrice and
    highestHigh <= maxPrice and
    highestHigh - lowestLow >= minRange;
ADXBreakoutsScreen.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
ADXBreakoutsScreen.SetLineWeight(3);
ADXBreakoutsScreen.SetDefaultColor(GetColor(1));
