# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2008-2023
#

declare lower;

input length = 14;
input averageType = AverageType.WILDERS;

plot ADX = DMI(length, averageType).ADX;
plot ADXR = (ADX + ADX[length - 1]) / 2;

ADX.SetDefaultColor(GetColor(5));
ADXR.SetDefaultColor(GetColor(0));
