# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2008-2023
#

declare lower;

input cciLength = 14;
input cciAvgLength = 9;
input over_sold = -100;
input over_bought = 100;

plot CCI = CCI(length = cciLength);
plot CCIAvg = Average(CCI, cciAvgLength);
plot OverBought = over_bought;
plot OverSold = over_sold;

CCI.setDefaultColor(GetColor(9));
CCIAvg.setDefaultColor(GetColor(8));
OverBought.setDefaultColor(GetColor(5));
OverSold.setDefaultColor(GetColor(5));
