# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#
declare lower;

input length = 20;
input trendLength = 40;

def angle = reference CorrelationCycleAngle(length = length);
def trendAngle = 360 / trendLength;

plot MarketState;
if (AbsValue(angle - angle[1]) < trendAngle and angle < 0) {
    MarketState = -1;
} else if (AbsValue(angle - angle[1]) < trendAngle and angle >= 0) {
    MarketState = 1;
} else {
    MarketState = 0;
}
MarketState.SetDefaultColor(GetColor(1));
