# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input length = 10;
input highLowLength = 3;
input sumLength = 3;
input averageLength = 3;

def stoch = DMI_StochasticExtreme(length, highLowLength, sumLength);
def avgStoch = Average(stoch, averageLength);

plot Above = stoch crosses above avgStoch;
plot Below = stoch crosses below avgStoch;

Below.SetDefaultColor(Color.DOWNTICK);
Below.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Above.SetDefaultColor(Color.UPTICK);
Above.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
