# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 13;

def ema = ExpAverage(close, length);
plot DSPI = if ema != 0 then (close - ema) / ema * 100 else 0;
plot ZeroLine = 0;

DSPI.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(5));
