# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

#wizard text: Inputs: length:
#wizard input: length
#wizard text: body factor:
#wizard input: bodyFactor

input length = 20;
input bodyFactor = 0.05;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

plot Doji = IsDoji(length, bodyFactor);

Doji.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
Doji.SetDefaultColor(CreateColor(153, 153, 255));
Doji.SetLineWeight(3);
