# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: trendSetup:
#wizard input: trendSetup

input trendSetup = 3;

def IsBlack = open > close;

plot Bearish = IsDescending(close, trendSetup)[2] and
    IsBlack[2] and
    IsBlack[1] and
    low[2] > high[1] and
    open < open[1] and
    open > close[1] and
    close > open[1] and
    close < close[2];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
