# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input fastLength = 8;
input slowLength = 23;

plot MAD = 100 * (Average(close, fastLength) - Average(close, slowLength)) / Average(close, slowLength);
plot ZeroLine = 0;

MAD.DefineColor("Positive", Color.UPTICK);
MAD.DefineColor("Negative", Color.DOWNTICK);
MAD.AssignValueColor(if MAD >= 0 then MAD.Color("Positive") else MAD.Color("Negative"));
ZeroLine.SetDefaultColor(GetColor(7));
