# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

def high_diff = Max(0, high - high[1]);
def low_diff = Max(0, low[1] - low);

def high_avg = Average(high_diff, 8);
def low_avg = Average(low_diff, 8);
plot TD_I = if high_avg == 0 && low_avg == 0 then 0 else high_avg / (high_avg + low_avg) * 100;
TD_I.SetDefaultColor(GetColor(1));
