# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 50;
input highLowLength = 15;
input averageType = AverageType.SIMPLE;

def MHL = (Highest(high, highLowLength) + Lowest(low, highLowLength)) / 2;

plot MHL_MA = MovingAverage(averageType, MHL, length);
plot MA = MovingAverage(averageType, close, length);

MHL_MA.SetDefaultColor(GetColor(5));
MA.SetDefaultColor(GetColor(6));
