# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

plot Bullish = IsDescending(close, trendSetup)[2] and
    IsLongBlack(length)[2] and
    IsDoji(length)[1] and
    high[1] < low[2] and
    open < close and
    close > MidBodyVal()[2];

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(1));
Bullish.SetLineWeight(2);
