# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input displace = 0;
input length = 10;
input pctAbove = 10.0;
input pctBelow = 10.0;
input priceH = close;
input priceL = close;
input averageType = AverageType.SIMPLE;

plot UpperBand = MovingAverage(averageType, priceH[-displace], length) * (1 + pctAbove / 100);
UpperBand.SetDefaultColor(GetColor(0));

plot LowerBand = MovingAverage(averageType, priceL[-displace], length) * (1 - pctBelow / 100);
lowerBand.SetDefaultColor(GetColor(0));
