# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input price = close;
input fastLength = 9;
input slowLength = 18;
input displace = 0;
input averageType = AverageType.SIMPLE;

plot fastAvg = MovingAverage(averageType, price[-displace], fastLength);
plot slowAvg = MovingAverage(averageType, price[-displace], slowLength);

fastAvg.SetDefaultColor(GetColor(1));
slowAvg.SetDefaultColor(GetColor(0));
