# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);

plot Bearish = IsDescending(close, trendSetup)[1] and
    IsLongBlack(length)[1] and
    open < close and
    open < low[1] and
    AbsValue(close - low[1]) <= ErrMargin;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(5));
Bearish.SetLineWeight(2);
