# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input price = close;
input length1 = 35;
input length2 = 20;
input signalLength = 10;

def rate = 100 * (price - price[1]) / price[1];

plot PMO = ExpAverage(10 * ExpAverage(rate, length1), length2);
plot SignalLine = ExpAverage(PMO, signalLength);
plot ZeroLine = 0;

PMO.SetDefaultColor(GetColor(1));
SignalLine.SetDefaultColor(GetColor(3));
ZeroLine.SetDefaultColor(GetColor(7));
