# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input calculationMode = ProfitLossMode.EXECUTION_PRICE;

plot PositionOpenPL = GetOpenPL(profitLossMode = calculationMode);
plot ZeroLine = 0;

PositionOpenPL.SetDefaultColor(GetColor(5));
PositionOpenPL.SetPaintingStrategy(PaintingStrategy.SQUARED_HISTOGRAM);
PositionOpenPL.SetLineWeight(3);
PositionOpenPL.DefineColor("Positive", Color.UPTICK);
PositionOpenPL.DefineColor("Negative", Color.DOWNTICK);
PositionOpenPL.AssignValueColor(if PositionOpenPL >= 0
	then PositionOpenPL.Color("Positive")
	else PositionOpenPL.Color("Negative"));
ZeroLine.SetDefaultColor(GetColor(7));
