# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

def total = if close < open then (high + 2 * low + close) / 2 else if close > open then (2 * high + low + close) / 2 else (high + low + 2 * close) / 2;

plot UpperPr = total[1] - low[1];
UpperPr.SetDefaultColor(GetColor(8));

plot LowerPr = total[1] - high[1];
LowerPr.SetDefaultColor(GetColor(8));
