# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

input price = close;
input startingMA = 50;
input endingMA = 200;

def inc = (endingMA - startingMA) / 7;
plot RS1 = Average(price, startingMA + 0 * inc);
plot RS2 = Average(price, startingMA + 1 * inc);
plot RS3 = Average(price, startingMA + 2 * inc);
plot RS4 = Average(price, startingMA + 3 * inc);
plot RS5 = Average(price, startingMA + 4 * inc);
plot RS6 = Average(price, startingMA + 5 * inc);
plot RS7 = Average(price, startingMA + 6 * inc);
plot RS8 = Average(price, startingMA + 7 * inc);

RS1.SetDefaultColor(CreateColor(255, 65, 0));
RS2.SetDefaultColor(CreateColor(255, 90, 0));
RS3.SetDefaultColor(CreateColor(255, 115, 0));
RS4.SetDefaultColor(CreateColor(255, 140, 0));
RS5.SetDefaultColor(CreateColor(255, 165, 0));
RS6.SetDefaultColor(CreateColor(255, 190, 0));
RS7.SetDefaultColor(CreateColor(255, 215, 0));
RS8.SetDefaultColor(CreateColor(255, 240, 0));
