# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsBlack = open > close;

plot Bullish = IsDescending(close, trendSetup)[2] and
    IsBlack[2] and
    close[2] < open[1] and
    open[1] < close[1] and
    IsBlack and
    AbsValue(close - close[2]) <= ErrMargin;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(4));
Bullish.SetLineWeight(2);
