# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input adxLength1 = 3;
input adxLength2 = 4;
input adxLength3 = 5;
input averageType = AverageType.WILDERS;

plot ADX1 = DMI(adxLength1, averageType).ADX;
plot ADX2 = DMI(adxLength2, averageType).ADX;
plot ADX3 = DMI(adxLength3, averageType).ADX;
plot Level90 = 90;
plot Level70 = 70;
plot Level30 = 30;
plot Level20 = 20;

ADX1.SetDefaultColor(GetColor(1));
ADX2.SetDefaultColor(GetColor(6));
ADX3.SetDefaultColor(GetColor(4));
Level90.SetDefaultColor(GetColor(3));
Level90.SetStyle(Curve.LONG_DASH);
Level70.SetDefaultColor(GetColor(3));
Level30.SetDefaultColor(GetColor(3));
Level20.SetDefaultColor(GetColor(3));
Level20.SetStyle(Curve.LONG_DASH);
