# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input diLength1 = 5;
input diLength2 = 8;
input diLength3 = 14;
input averageType = AverageType.WILDERS;

plot DIPlus1 = DMI(diLength1, averageType);
plot DIPlus2 = DMI(diLength2, averageType);
plot DIPlus3 = DMI(diLength3, averageType);
plot Level50 = 50;
plot Level10 = 10;
plot Level5 = 5;

DIPlus1.SetDefaultColor(GetColor(1));
DIPlus2.SetDefaultColor(GetColor(6));
DIPlus3.SetDefaultColor(GetColor(4));
level50.SetDefaultColor(GetColor(3));
level10.SetDefaultColor(GetColor(3));
Level5.SetDefaultColor(GetColor(3));
Level5.SetStyle(Curve.LONG_DASH);
