# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsLongBlack = IsLongBlack(length);
def IsOpenWithinBody = open > close[1] and
    open < open[1];
def IsCloseLower = close < close[1];

plot Bearish = IsAscending(open, trendSetup)[2] and
    IsLongBlack[2] and
    IsLongBlack[1] and
    IsLongBlack and
    IsCloseLower[1] and
    IsCloseLower and
    IsOpenWithinBody[1] and
    IsOpenWithinBody;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
