# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: trendSetup:
#wizard input: trendSetup

input trendSetup = 3;

plot Bearish = IsDescending(close, trendSetup)[1] and
    open[1] > close[1] and
    open < low[1] and
    close > close[1] and
    close < MidBodyVal()[1];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(0));
Bearish.SetLineWeight(2);
