# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 2;

plot Bearish = IsAscending(close, trendSetup)[2] and
    IsLongWhite(length)[2] and
    low[1] > high[2] and
    open < open[1] and
    open > close[1] and
    close < close[2] and
    close > open[2];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(1));
Bearish.SetLineWeight(2);
