# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsLongWhite = IsLongWhite(length);

plot Bullish = IsAscending(close, trendSetup)[2] and
    IsLongWhite[2] and
    IsLongWhite[1] and
    low[1] > high[2] and
    open > open[1] and
    open < close[1] and
    close < close[2] and
    close > open[2];

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(0));
Bullish.SetLineWeight(2);
