# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 10;

def maxHigh = Highest(high, length);
def minLow = Lowest(low, length);
def sumAbs = sum(AbsValue(close - close[1]), length);

plot VHF = if sumAbs != 0 then AbsValue(maxHigh - minLow) / sumAbs else 0;
VHF.SetDefaultColor(GetColor(8));
