# @reference
# @new
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#

declare lower;

input length = 14;

def trSum = sum(TrueRange(high, close, low), length);
plot "VI+" = if trSum == 0 then 0 else sum(AbsValue(high - low[1]), length) / trSum;
plot "VI-" = if trSum == 0 then 0 else sum(AbsValue(low - high[1]), length) / trSum;

"VI+".SetDefaultColor(Color.GREEN);
"VI-".SetDefaultColor(Color.RED);
