# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: factor:
#wizard input: factor

input length = 14;
input factor = 2;

plot Hammer = reference Hammer(length = length, trendSetup = length, bodyFactor = 1, shadowFactor = factor);
plot HangingMan = reference HangingMan(length = length, trendSetup = length, bodyFactor = 1, shadowFactor = factor);

Hammer.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Hammer.SetDefaultColor(GetColor(0));

HangingMan.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
HangingMan.SetDefaultColor(GetColor(1));
